using System;
using System.Collections.Generic;
using Server.Items;

namespace Server.Mobiles
{
	public class SBJester : SBInfo
	{
		private List<GenericBuyInfo> m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBJester()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override List<GenericBuyInfo> BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : List<GenericBuyInfo>
		{
			public InternalBuyInfo()
			{
				Add( new GenericBuyInfo( typeof( Lockpick ), 12, 20, 0x14FC, 0 ) );
				Add( new GenericBuyInfo( typeof( Dices ), 2, 20, 0xFA7, 0 ) );
				Add( new GenericBuyInfo( typeof( Dagger ), 21, 20, 0xF52, 0 ) );
				Add( new GenericBuyInfo( typeof( JesterSuit ), 26, 20, 0x1F9F, Utility.RandomHue() ) );
				Add( new GenericBuyInfo( typeof( JesterHat ), 12, 20, 0x171C, Utility.RandomHue() ) );
				Add( new BeverageBuyInfo( typeof( BeverageBottle ), BeverageType.Liquor, 5, 20, 0x99B, 0 ) );
				Add( new GenericBuyInfo( typeof( ApplePie ), 7, 20, 0x1041, 0 ) );
				Add( new GenericBuyInfo( typeof( AgilityPotion ), 15, 10, 0xF08, 0 ) );
				Add( new GenericBuyInfo( typeof( LesserExplosionPotion ), 21, 10, 0xF0D, 0 ) );
				Add( new GenericBuyInfo( typeof( HairDye ), 37, 20, 0xEFF, 0 ) );
				Add( new GenericBuyInfo( typeof( DisguiseKit ), 700, 20, 0xE05, 0 ) );
			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
			public InternalSellInfo()
			{
				Add( typeof( Lockpick ), 6 );
				Add( typeof( AgilityPotion ), 7 );
				Add( typeof( LesserExplosionPotion ), 10 );
				Add( typeof( BeverageBottle ), 3 );
				Add( typeof( Dices ), 1 );
				Add( typeof( Dagger ), 10 );
				Add( typeof( JesterHat ), 6 );
				Add( typeof( JesterSuit ), 13 );
				Add( typeof( HairDye ), 19 );
				Add( typeof( DisguiseKit ), 300 );
			}
		}
	}
}